/*****************************************************************************
 * cmd_audio.cpp
 *****************************************************************************
 * Copyright (C) 2003 the VideoLAN team
 * $Id: ea5658582d4b8646b365aa5ad979dd7feac16474 $
 *
 * Authors: Cyril Deguet     <asmax@via.ecp.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 *****************************************************************************/

#include "cmd_audio.hpp"
#include "../src/vlcproc.hpp"
#include <vlc_playlist.h>
#include <vlc_input.h>
#include <vlc_aout.h>
#include <string>

void CmdSetEqualizer::execute()
{
    aout_instance_t *pAout = NULL;

    playlist_t *pPlaylist = getIntf()->p_sys->p_playlist;
    input_thread_t *pInput = playlist_CurrentInput( pPlaylist );
    if( pInput )
        pAout = input_GetAout( pInput );

    // XXX
    string filters;
    if( m_enable)
    {
        filters = "equalizer";
    }

    if( pAout )
    {
        var_SetString( pAout, "audio-filter", (char*)filters.c_str() );
        for( int i = 0; i < pAout->i_nb_inputs; i++ )
        {
            pAout->pp_inputs[i]->b_restart = true;
        }
    }
    else
    {
        config_PutPsz( getIntf(), "audio-filter", filters.c_str() );
    }

    if( pAout )
        vlc_object_release( pAout );
    if( pInput )
        vlc_object_release( pInput );
}

void CmdVolumeChanged::execute()
{
    VlcProc* p_VlcProc = getIntf()->p_sys->p_vlcProc;

    p_VlcProc->refreshVolume();
}

